/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSPredicateEditor;

import dstep.foundation.NSArray;
import dstep.appkit.NSRuleEditor;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

class NSPredicateEditor : NSRuleEditor
{
	mixin (ObjcWrap);

	void setRowTemplates (NSArray rowTemplates)
	{
		return invokeObjcSelf!(void, "setRowTemplates:", NSArray)(rowTemplates);
	}

	NSArray rowTemplates ()
	{
		return invokeObjcSelf!(NSArray, "rowTemplates");
	}
}

